# actix_web::fs::Directory - Rust
API documentation for the Rust `Directory` struct in crate `actix_web`.
Keywords: rust, rustlang, rust-lang, Directory

# Struct actix_web::fs::Directory [−] [src]

    pub struct Directory {
        pub base: PathBuf,
        pub path: PathBuf,
    }

A directory; responds with the generated directory listing.

## Fields

`base: PathBuf`

Base directory

`path: PathBuf`

Path of subdirectory to generate listing for

## Methods

###

`impl Directory`

[src]

####

`pub fn new(base: PathBuf, path: PathBuf) -> Directory`

[src]

Create a new directory

####

`pub fn is_visible(&self, entry: &Result<DirEntry>) -> bool`

[src]

Is this entry visible from this directory?

## Trait Implementations

###

`impl Debug for Directory`

[src]

####

`fn fmt(&self, f: &mut Formatter) -> Result`

[src]

Formats the value using the given formatter. Read more

## Auto Trait Implementations

###

`impl Send for Directory`

###

`impl Sync for Directory`

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g. `str,u8` or `String,struct:Vec,test`)